'Sept 19

'program to demo random numbers with a timer
'simulates the roll of two dice by changing 
'the die faces changing several times before 
'stopping

Imports System.IO   'so can use Directory.GetCurrentDirectory

Public Class FrmCraps

    'declare and instantiate an object of the Random class
    Dim RandomNumber As Random = New Random
    Dim Die1 As Integer
    Dim Die2 As Integer
    Dim MyLocation As String
    Dim FlickerCounter As Integer


    '*****************************************
    'clicking roll starts timer and 
    'initializes the counter to zero
    Private Sub btnRoll_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnRoll.Click
        tmrRoll.Enabled = True
        FlickerCounter = 0
    End Sub

    '*****************************************
    'so we know where the exe is
    Private Sub FrmCraps_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        MyLocation = Directory.GetCurrentDirectory
    End Sub

    '***************************************
    'when timer is enabled, we get a tick event 
    'every so many milliseconds (determined by the 
    'Interval Property).  We stop getting Tick events 
    'when the timer is disabled 
    Private Sub tmrRoll_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles tmrRoll.Tick
        Die1 = RandomNumber.Next(1, 7)
        picDie1.Image = Image.FromFile(MyLocation & "\Die" & Die1 & ".gif")
        Die2 = RandomNumber.Next(1, 7)
        picDie2.Image = Image.FromFile(MyLocation & "\Die" & Die2 & ".gif")

        'count numer of die changes
        FlickerCounter += 1
        'stop timer when reach twenty
        If FlickerCounter = 20 Then
            tmrRoll.Enabled = False
        End If
    End Sub
End Class
